#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module html5-parser
Summary:	A fast, standards compliant, C based, HTML 5 parser for python
Name:		python-%{module}
Version:	0.4.12
Release:	1
# html5-parser-0.4.4/gumbo/utf8.c is MIT
License:	ASL 2.0 and MIT
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/h/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	f2b0a5e673463a201d6e3a984823fbe3
URL:		https://pypi.python.org/pypi/html5-parser
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	python-chardet
BuildRequires:	python-bs4
BuildRequires:	python-lxml >= 3.8.0
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-devel
BuildRequires:	python3-bs4
BuildRequires:	python3-setuptools
BuildRequires:	python3-chardet
BuildRequires:	python3-lxml >= 3.8.0
%endif
BuildRequires:	sed >= 4.0
# replace with other requires if defined in setup.py
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A fast, standards compliant, C based, HTML 5 parser for python

%package -n python3-%{module}
Summary:	A fast, standards compliant, C based, HTML 5 parser for python
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
A fast, standards compliant, C based, HTML 5 parser for python

%prep
%setup -q -n %{module}-%{version}

# remove shebangs from library files
%{__sed} -i -e '/^#!\//, 1d' src/html5_parser/*.py

%{__sed} -i -e '/extra_compile_args=cargs,/d' setup.py

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

# when files are installed in other way that standard 'setup.py
# they need to be (re-)compiled
# change %{py_sitedir} to %{py_sitescriptdir} for 'noarch' packages!
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files -n python-%{module}
%defattr(644,root,root,755)
%doc README.rst
%dir %{py_sitedir}/html5_parser
%{py_sitedir}/html5_parser/*.py[co]
%attr(755,root,root) %{py_sitedir}/html5_parser/*.so
%{py_sitedir}/html5_parser-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst
%dir %{py3_sitedir}/html5_parser
%{py3_sitedir}/html5_parser/*.py
%attr(755,root,root) %{py3_sitedir}/html5_parser/*.so
%{py3_sitedir}/html5_parser/__pycache__
%{py3_sitedir}/html5_parser-%{version}-py*.egg-info
%endif
%changelog
* Sat Mar 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-html5-parser.git;a=log;h=master

* Sat Mar 22 2025 Jan Rękorajski <baggins@pld-linux.org> dd49e99
- up to 0.4.12

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 3786689
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> dc31453
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 2d27a85
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> c47e636
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 6485c43
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> b667245
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 03a06d1
- release 4 (by relup.sh)

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 0e9cc90
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 80febba
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Dec 05 2018 Adam Gołębiowski <adamg@pld-linux.org> 95926d4
- updated to 0.4.5

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> be32d5d
- release 2 (by relup.sh)

* Thu May 10 2018 Jan Rękorajski <baggins@pld-linux.org> baf0256
- new

